@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface ZooKeeperMasterEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
ZooKeeperMasterEndpointBuilderFactory.AdvancedZooKeeperMasterEndpointBuilder
Advanced builder for endpoint for the ZooKeeper Master component.
|
static interface |
ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterBuilders |
static interface |
ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder
Builder for endpoint for the ZooKeeper Master component.
|
| Modifier and Type | Method and Description |
|---|---|
static ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
zookeeperMaster(String path)
ZooKeeper Master (camel-zookeeper-master)
Represents an endpoint which only becomes active when it obtains the
master lock
Category: clustering
Since: 2.19
Maven coordinates: org.apache.camel:camel-zookeeper-master
Syntax:
zookeeper-master:groupName:consumerEndpointUri
Path parameter: groupName (required)
The name of the cluster group to use
Path parameter: consumerEndpointUri (required)
The consumer endpoint to use in master/slave mode |
static ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder zookeeperMaster(String path)
zookeeper-master:groupName:consumerEndpointUri
Path parameter: groupName (required)
The name of the cluster group to use
Path parameter: consumerEndpointUri (required)
The consumer endpoint to use in master/slave modeApache Camel